Subject: RE: [Megaco] conferencing requirements

From: "Even ,Roni" <[email-masked]>
Date: Sun, 2 Sep 2001 09:26:12 +0200

Hi,
I think I want both.
The "best possible result that all can do" do not require transcoding in
video conferencing and take into account the allowed bandwidth for all
participants. The audio can be different for each participant in H.323 but
there will be a problem in H.320 since the streams are multiplexed.
The "best possible result for each individual participant" will require
video transcoding and is also part of the requirements
Roni

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Thursday, August 30, 2001 8:41 PM
To: 'Christian Groves'; Even ,Roni
Cc: [email-masked]'
Subject: RE: [Megaco] conferencing requirements

I think Roni wants "best possible result that all can do"
and I want "best possible result for each individual participant".
I believe we can do both with current capability, and I'll
say again that a specific MG may not be able to do what I want.

I hope to have an MG that can :)

Brian

> -----Original Message-----
> From: Christian Groves [mailto:[email-masked]]
> Sent: Wednesday, August 29, 2001 2:33 AM
> To: Even ,Roni
> Cc: Rosen, Brian; [email-masked]'
> Subject: Re: [Megaco] conferencing requirements
> 
> 
> G'Day Brian and Roni,
> 
> Please see my comments below.
> 
> Christian
> 
> ..snip..
> > > > >       .       The system will be able to support a conference
> > > > > with dynamic
> > > > > conference capability set based on highest common.
> > > > [I think this is also a non-requirement; the interMGC
> > > signalling deals with
> > > > negotiation of capability, combined with the SDP
> > > negotiation of bearer.
> > > > The mechanisms we are discussing are built on that base]
> > >
> > > [CHG] As per above comments. Roni: what exactly is meant 
> by highest
> > > common? Is it the capbility that is used by the most number of
> > > participants? There could be some interesting procedures that
> > > need to be
> > > documented.
> > [br] I interpreted it as "highest common denominator", that is
> > the most complex operations that ALL participants can do.
> > I want the requirement to cover the case where each participant
> > gets the best possible result regardless of what other participants
> > can do.  For example, if two participants can do 6M MPEG II and
> > two can only do 384k H.263, then the two MPEG participants see
> > each other in high fidelity, while the other two see them in
> > lower fidelity.   This is all dependent, of course, on what the
> > MG can do.  Again, I think this is really only a function of the
> > codecs and not of the conferencing controls, and thus is already
> > possible.
> > 
> > [RE] The transcoding conference is the mode for having each 
> user have the
> > best possible communication mode. I will add it to the 
> requirements text
> > 
> [CHG] What I was trying to get at is that there are different
> interpretations of highest common denominator. It may be that you
> require that each termination offer the highest service possible. or
> that it may be that you require the MG to choose the mode that most
> participants support (could be lower quality) to lessen the amount of
> transcoding you require.
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco